PHP Manual
Prev |  | Next

# ora_fetch_into

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_fetch_into -- Fetch a row into the specified result array

## Description

int ora_fetch_into ( resource cursor, array &result [, int flags] )

Fetches a row of data into an array.

## Parameters

`cursor`

  An Oracle cursor, opened with ora_open().

`result`

  An array passed by reference. It will be filled with the fetched values.

`flags`

  There are two possible flags. If `ORA_FETCHINTO_NULLS` is set, columns with `NULL` values are set in the array; and if the `ORA_FETCHINTO_ASSOC` flag is set, an associative array is created.

## Return Values

Returns the number of columns fetched, or `FALSE` on error.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Examples

Example 1. ora_fetch_into()

`<?php $results = array(); ora_fetch_into($cursor, $results); echo $results[0]; echo $results[1]; $results = array(); ora_fetch_into($cursor, $results, ORA_FETCHINTO_NULLS|ORA_FETCHINTO_ASSOC); echo $results['MyColumn']; ?>`

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

A fetch function like oci_fetch_array()

## See Also

ora_parse()
ora_exec()
ora_fetch()
ora_do()

Prev | Home | Next
ora_exec | Up | ora_fetch